Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.core.ext.soyc
Class Range

    java.lang.Object
      com.google.gwt.core.ext.soyc.Range

    public final class Range

extends java.lang.Object

Represents a contiguous region of characters in the compiler output.

Field Summary
`static java.util.Comparator<Range>` | `DEPENDENCY_ORDER_COMPARATOR` Sorts Ranges so that a Range will be preceeded by any Ranges that enclose it.
`static java.util.Comparator<Range>` | `SOURCE_ORDER_COMPARATOR` Sorts Ranges into the order in which they would appear in the source code based on start position and end position.

Constructor Summary
`Range(int start, int end)` Constructor.

Method Summary
`boolean` | `contains(Range o)` Return `true` if the given Range lies wholly within the Range.
`boolean` | `equals(java.lang.Object obj)`
`int` | `getEnd()`
`int` | `getStart()`
`int` | `hashCode()`
`int` | `length()`
`java.lang.String` | `toString()` For debugging use only.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### DEPENDENCY_ORDER_COMPARATOR

    public static final java.util.Comparator<Range> DEPENDENCY_ORDER_COMPARATOR

  Sorts Ranges so that a Range will be preceeded by any Ranges that enclose it.

### SOURCE_ORDER_COMPARATOR

    public static final java.util.Comparator<Range> SOURCE_ORDER_COMPARATOR

  Sorts Ranges into the order in which they would appear in the source code based on start position and end position.

Constructor Detail

### Range

    public Range(int start,
                 int end)

  Constructor.

  Parameters:
    `start` - must be non-negative
    `end` - must be greater than or equal to `start`

Method Detail

### contains

    public boolean contains(Range o)

  Return `true` if the given Range lies wholly within the Range.

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### getEnd

    public int getEnd()

### getStart

    public int getStart()

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### length

    public int length()

### toString

    public java.lang.String toString()

  For debugging use only.

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD